﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static XKRS.Common.Model.Helper.EnumHelper;

namespace XKRS.Common.Interface
{
    public interface IDevice:IDisposable,INotifyPropertyChanged,ISimpleDevice,ILogger,IExceptionHandler
    {

        event Action<IDevice, DeviceState> OnDeviceStateChanged;
    }


    public interface ISimpleDevice
    {
        string Id { get; set; }
        string Name { get; set; }
    }
    public class SimpleDevice : ISimpleDevice
    {
        public string Id { get; set; }
        public string Name { get; set; }
    }

}
